- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::ConvergenceCheck Class Reference

Base class for checking the algorithm termination criteria. More...

`#include <IpConvCheck.hpp>`

Inheritance diagram for Ipopt::ConvergenceCheck:

[legend]
Collaboration diagram for Ipopt::ConvergenceCheck:

[legend]
List of all members.

## Public Types
| CONTINUE
| CONVERGED
| CONVERGED_TO_ACCEPTABLE_POINT
| MAXITER_EXCEEDED
| CPUTIME_EXCEEDED
| DIVERGING
| USER_STOP
| FAILED
enum | ConvergenceStatus { CONTINUE, CONVERGED, CONVERGED_TO_ACCEPTABLE_POINT, MAXITER_EXCEEDED, CPUTIME_EXCEEDED, DIVERGING, USER_STOP, FAILED }
| Convergence return enum. More...
## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual ConvergenceStatus | CheckConvergence (bool call_intermediate_callback=true)=0
| Pure virtual method for performing the convergence test.
virtual bool | CurrentIsAcceptable ()=0
| Method for testing if the current iterate is considered to satisfy the "accptable level" of accuracy.
Constructors/Destructors
| ConvergenceCheck ()
| Constructor.
virtual | ~ConvergenceCheck ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ConvergenceCheck (const ConvergenceCheck &)
| Copy Constructor.
void | operator= (const ConvergenceCheck &)
| Overloaded Equals Operator.

## Detailed Description

Base class for checking the algorithm termination criteria.

Definition at line 20 of file IpConvCheck.hpp.

## Member Enumeration Documentation

enum Ipopt::ConvergenceCheck::ConvergenceStatus

Convergence return enum.

Enumerator:

  CONTINUE |
  CONVERGED |
  CONVERGED_TO_ACCEPTABLE_POINT |
  MAXITER_EXCEEDED |
  CPUTIME_EXCEEDED |
  DIVERGING |
  USER_STOP |
  FAILED |

Definition at line 35 of file IpConvCheck.hpp.

## Constructor & Destructor Documentation

Ipopt::ConvergenceCheck::ConvergenceCheck | ( |  | ) | `[inline]`

Constructor.

Definition at line 26 of file IpConvCheck.hpp.

virtual Ipopt::ConvergenceCheck::~ConvergenceCheck | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpConvCheck.hpp.

Ipopt::ConvergenceCheck::ConvergenceCheck | ( | const ConvergenceCheck & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::ConvergenceCheck::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::OptimalityErrorConvergenceCheck, Ipopt::RestoConvergenceCheck, Ipopt::RestoFilterConvergenceCheck, and Ipopt::RestoPenaltyConvergenceCheck.

virtual ConvergenceStatus Ipopt::ConvergenceCheck::CheckConvergence | ( | bool | call_intermediate_callback = `true` | ) | `[pure virtual]`

Pure virtual method for performing the convergence test.

If call_intermediate_callback is true, the user callback method in the NLP should be called in order to see if the user requests an early termination.

Implemented in Ipopt::OptimalityErrorConvergenceCheck, and Ipopt::RestoConvergenceCheck.

virtual bool Ipopt::ConvergenceCheck::CurrentIsAcceptable | ( |  | ) | `[pure virtual]`

Method for testing if the current iterate is considered to satisfy the "accptable level" of accuracy.

The idea is that if the desired convergence tolerance cannot be achieved, the algorithm might stop after a number of acceptable points have been encountered.

Implemented in Ipopt::OptimalityErrorConvergenceCheck.

void Ipopt::ConvergenceCheck::operator= | ( | const ConvergenceCheck & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpConvCheck.hpp